<?php
/*
	Plugin Name: Clickbank Multiple Sales Page
	Plugin URI: http://imtips.co/clickbank-multiple-sales-page.html
	Description: Clickbank Multiple Sales Page plugin allows vendors to have multiple sales page based on affiliate referrer. This helps if you have large affiliates who demand a more customized sales page from you or want your sales page to be on their own site instead of yours.
	Author: Shabbir Bhimani
	Version: 0.1
	Author URI: http://imtips.co/
 */
function cbmsp_redirect()
{
	$cbmsp_redirections = get_option('cbmsp_redirections');
	if($cbmsp_redirections =='') return;

	$redir_rules = preg_split('/\r?\n/', $cbmsp_redirections);
	$redir_data = array();
	foreach($redir_rules as $redir_rule) {

		// comment lines
		if( strpos($redir_rule,'#') === 0 ) continue;

		// split up the line
		$bits = explode('|',$redir_rule);

		// need the right number of arguements
		if( count($bits) == 2 ) $redir_data[ $bits[0] ] = $bits[1];
	}
	$affiliate = isset($_GET['hop'])?$_GET['hop']:'';
	if(!empty($affiliate) && !empty($redir_data[$affiliate])) 
	{
		wp_redirect($redir_data[$affiliate]);
		exit;
	}
}

add_action ( 'admin_menu', 'cbmsp_plugin_menu');
add_action ( 'parse_request', 'cbmsp_redirect');

function cbmsp_plugin_menu() {

	add_options_page('My Plugin Options', 'Clickbank Multi Sales Page', 'manage_options', 'cbmsp', 'cbmsp_plugin_options');
	add_action( 'admin_init', 'register_cbmsp_settings' );
}

function register_cbmsp_settings() {
	//register settings
	register_setting( 'cbmsp-settings-group', 'cbmsp_redirections' );
}


function cbmsp_plugin_options() {
?>
<div class="wrap">
<form method="post" action="options.php">
<?php settings_fields( 'cbmsp-settings-group' ); ?>
<table class="form-table">
<tr>
<td colspan="2">
Enter the data in the form  affiliateid|URL. <br />E.g. If shabbir is your affiliate's id for whom you want to show a different sales page. i.e. <?php bloginfo('home');?>/sales-page-shabbir then enter the data as <br />
<strong>shabbir|<?php bloginfo('home');?>/sales-page-shabbir</strong>.
</td>
</tr>
<tr valign="top">
<th scope="row">Redirection URLs <br />[one affiliate per line]<br />Please enter the full URLs.</th>
<td>
<textarea name="cbmsp_redirections" id="cbmsp_redirections" rows="15" cols="75"  ><?php echo get_option('cbmsp_redirections'); ?></textarea>
</td>
</tr>
</table>
<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="cbmsp_redirections" />
<p class="submit"><input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" /></p>
</form>
</div>
<?
}
?>
